SoHandleBoxManip(3)

NAME
SoHandleBoxManip - The SoHandleBoxManip class wraps an SoHandleBoxDragger for manipulating a transformation.

SYNOPSIS

#include <Inventor/manips/SoHandleBoxManip.h>

Inherits SoTransformManip.

  Public Member Functions
virtual SoType getTypeId (void) const
SoHandleBoxManip (void)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoHandleBoxManip (void)

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoHandleBoxManip class wraps an SoHandleBoxDragger for manipulating a transformation. A manipulator is used by replacing the node you want to edit in the graph with the manipulator. Draggers are used to manipulate the node. When manipulation is finished, the node is put back into the graph, replacing the manipulator.

 Example of HandleBox Manipulator

See also
    SoHandleBoxDragger, SoDragger

Constructor & Destructor Documentation

  SoHandleBoxManip::SoHandleBoxManip (void)
Constructor sets us up with an SoHandleBoxDragger for manipulating a transformation.

  SoHandleBoxManip::~SoHandleBoxManip (void) [protected], [virtual]
Protected destructor. (SoHandleBoxManip is automatically destructed when its reference count goes to 0.)

Member Function Documentation

  SoType SoHandleBoxManip::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoHandleBoxManip::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoTransformManip.

  const SoFieldData ** SoHandleBoxManip::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoHandleBoxManip::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoTransformManip.

Author

Generated automatically by Doxygen for Coin from the source code.